<?php

require('includes/tmpl/moym_config.tmpl.php');
require('includes/tmpl/moym_license.tmpl.php');
require('includes/tmpl/moym_login.tmpl.php');
require('includes/tmpl/moym_reg.tmpl.php');
require('includes/tmpl/moym_support.tmpl.php');
require('includes/tmpl/moym_attr.tmpl.php');

	function moym_show_page() {
		if( isset( $_GET[ 'tab' ]) ) {
			$active_tab = sanitize_key($_GET[ 'tab' ]);
		} else {
			$active_tab = 'config';
		}

		$request_URI = esc_url_raw($_SERVER['REQUEST_URI']);
		if(moym_is_curl_installed()==0){
			echo '<p style="color:red;">(Warning: <a href="http://php.net/manual/en/curl.installation.php" target="_blank">PHP CURL extension</a> is not installed or disabled) Please go to Troubleshooting for steps to enable cURL.</p>';
		}

	    echo '
        <div style="margin-top: 20px; margin-bottom: 10px; display: flex;">
            <div style="float:left; width:35%; font-size: 22px; padding-top: 10px;"> miniOrange YourMembership Single Sign-On </div>
            <div style="float:left; width:30%;">
                <button class="button button-large button-primary" onclick="window.open(\'https://faq.miniorange.com/\', \'_blank\');">FAQs</a></button>
                &nbsp;&nbsp;&nbsp;<button class="button button-large button-secondary" onclick="window.open(\'https://forum.miniorange.com/\', \'_blank\');">Ask questions on our forum</button>
            </div>
        </div>';
		echo '
		
		
        <div id="tab">
            <h2 class="nav-tab-wrapper">
                <a class="nav-tab ' . ($active_tab == 'config' ? 'nav-tab-active' : '') . '" href="' . add_query_arg( array('tab' => 'config'), $request_URI ) . '">SSO Settings</a>
                <a class="nav-tab ' . ($active_tab == 'attr' ? 'nav-tab-active' : '') . '" href="' . add_query_arg( array('tab' => 'attr'), $request_URI ) . '">Attribute/Role Mapping</a>
                <a class="nav-tab ' . ($active_tab == 'pricing' ? 'nav-tab-active' : '') . '" href=" ' . add_query_arg( array('tab' => 'pricing'), $request_URI ) . '">Licensing Plans</a>
                <a class="nav-tab ' . ($active_tab == 'register' ? 'nav-tab-active' : '') . '" href="' . add_query_arg( array('tab' => 'register'), $request_URI) . '">Account Setup</a>
            </h2>
	    </div>

	    <div id="moym_settings">
		    <div class="moym_container">
			    <div id="moym_msgs"></div>
			    <table style="width:100%;">
				<tr>
			    <td style="vertical-align:top;width:65%;">';
		            if($active_tab == 'config'){
		                moym_show_settings_page();
		            } else if($active_tab == 'attr') {
		                moym_attr_mapping();
		            } else if($active_tab == 'pricing') {
		                moym_pricing_info();
		            } else if ( $active_tab == 'register') {
		                if(moym_is_customer_registered()){
		                    moym_show_customer_details();
		                }
		                else{
		                    if (get_option ( 'moym_verify_customer' ) == 'true') {
		                        moym_show_verify_password_page();
		                    } else if (trim ( get_option ( 'moym_admin_email' ) ) != '' && trim ( get_option ( 'moym_admin_api_key' ) ) == '' && get_option ( 'moym_new_registration' ) != 'true') {
		                        moym_show_verify_password_page();
		                    } else if (! moym_is_customer_registered()) {
		                        delete_option ( 'password_mismatch' );
		                        moym_show_new_registration_page();
		                    }
		                }
		            }
	echo '      </td>
			    <td style="vertical-align:top;padding-left:1%;">';
		            moym_support();
	echo '      </td>
				</tr>
			    </table>
		    </div>
		</div>';
	}

	
?>